Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend
Class LuceneIndexingParameters

    java.lang.Object
      org.hibernate.search.backend.LuceneIndexingParameters

All Implemented Interfaces:
  java.io.Serializable

    public class LuceneIndexingParameters

extends java.lang.Object
implements java.io.Serializable

Wrapper class around the Lucene indexing parameters defined in IndexWriterSetting.

There are two sets of these parameters. One is for regular indexing the other is for batch indexing triggered by `FullTextSessoin.index(Object entity)`

Author:
  Hardy Ferentschik, Sanne Grinovero
See Also:
  Serialized Form

Nested Class Summary
`static class` | `LuceneIndexingParameters.ParameterSet`

Field Summary
`static java.lang.String` | `BATCH`
`static java.lang.String` | `EXPLICIT_DEFAULT_VALUE`
`static java.lang.String` | `PROP_GROUP`
`static java.lang.String` | `TRANSACTION`

Constructor Summary
`LuceneIndexingParameters(java.util.Properties sourceProps)`

Method Summary
`void` | `applyToWriter(org.apache.lucene.index.IndexWriter writer, boolean batch)`
`LuceneIndexingParameters.ParameterSet` | `getBatchIndexParameters()`
`LuceneIndexingParameters.ParameterSet` | `getTransactionIndexParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPLICIT_DEFAULT_VALUE

    public static final java.lang.String EXPLICIT_DEFAULT_VALUE

See Also:
  Constant Field Values

### BATCH

    public static final java.lang.String BATCH

See Also:
  Constant Field Values

### TRANSACTION

    public static final java.lang.String TRANSACTION

See Also:
  Constant Field Values

### PROP_GROUP

    public static final java.lang.String PROP_GROUP

See Also:
  Constant Field Values

Constructor Detail

### LuceneIndexingParameters

    public LuceneIndexingParameters(java.util.Properties sourceProps)

Method Detail

### getTransactionIndexParameters

    public LuceneIndexingParameters.ParameterSet getTransactionIndexParameters()

### getBatchIndexParameters

    public LuceneIndexingParameters.ParameterSet getBatchIndexParameters()

### applyToWriter

    public void applyToWriter(org.apache.lucene.index.IndexWriter writer,
                              boolean batch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.